Subject: Re: bug#64791: 30.0.50; [PATCH] Fix dired mismatch on some filenames

From: Po Lu <[email-masked]>
Date: Mon, 04 Sep 2023 16:22:49 +0800

Manuel Giraud <[email-masked]> writes:

> I don't know if this count as a test but it seems that both FreeBSD and
> NetBSD also called it "gls" in their respective packages:
>
> https://cgit.freebsd.org/ports/tree/sysutils/coreutils/pkg-plist
> http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/sysutils/coreutils/PLIST?rev=1.22&content-type=text/x-cvsweb-markup
>
> But, I have to say that I still don't understand why you would not also
> consider applying my patch.

The popular name for GNU ls is actually `ls', given that you install
Coreutils from the release tarball.  Favoring `gls' over `ls' will lead
to Emacs overlooking a potentially newer Coreutils installation as long
as one from the package manager is already present.

Have the BSDs abjured the nasty habit of placing site software in a
single /usr/local directory?  If so, we could perhaps search in the
directory where they install GNU software, i.e. /usr/sfw (?)